/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/ALOPTION.CPP   1.6   20 Jun 1996 09:28:22   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/ALOPTION.CPP  $
** 
**    Rev 1.6   20 Jun 1996 09:28:22   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:22:58   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:34:00   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aloption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "al.h"
#include "aloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ALOption dialog


ALOption::ALOption(ALTool * pTool)
    : CPropertyPage(ALOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(ALOption)
    
    //}}AFX_DATA_INIT
}

void ALOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(ALOption)
    DDX_Check(pDX, IDC_ALOPT_CASE, m_fCase);
    DDX_Check(pDX, IDC_ALOPT_LINEDEBUG, m_fLineDebug);
    DDX_Check(pDX, IDC_ALOPT_SYMBOLDEBUG, m_fSymbolDebug);
    DDX_Text(pDX, IDC_ALOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_ALOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void ALOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_fCase        = m_fCase;
    m_pTool->m_fLineDebug   = m_fLineDebug;
    m_pTool->m_fSymbolDebug = m_fSymbolDebug;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void ALOption::LoadData(void)
{
    m_fCase        = m_pTool->m_fCase;
    m_fLineDebug   = m_pTool->m_fLineDebug;
    m_fSymbolDebug = m_pTool->m_fSymbolDebug;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
 
}

BEGIN_MESSAGE_MAP(ALOption, CPropertyPage)
    //{{AFX_MSG_MAP(ALOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// ALOption message handlers
